Security Enhanced Linux Reference Policy

# Layer: services

## Module: virt

Tunables Interfaces

### Description:

Libvirt virtualization API

### Tunables:

virt_use_nfs

##### Default value

false

##### Description

Allow virt to manage nfs files

virt_use_samba

##### Default value

false

##### Description

Allow virt to manage cifs files

Return

### Interfaces:

virt_admin( domain , role )

##### Summary

All of the rules required to administrate an virt environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

virt_append_log( domain )

##### Summary

Allow the specified domain to append virt log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

virt_attach_tun_iface( domain )

##### Summary

Allow domain to attach to virt TUN devices

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_domtrans( domain )

##### Summary

Execute a domain transition to run virt.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

virt_image( type )

##### Summary

Make the specified type usable as a virt image

##### Parameters

Parameter: | Description:
--- | ---
type | Type to be used as a virtual image

virt_manage_config( domain )

##### Summary

manage virt config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_manage_images( domain )

##### Summary

Allow domain to manage virt image files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

virt_manage_lib_files( domain )

##### Summary

Create, read, write, and delete virt lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_manage_log( domain )

##### Summary

Allow domain to manage virt log files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

virt_manage_pid_files( domain )

##### Summary

Manage virt pid files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_read_config( domain )

##### Summary

Read virt config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_read_lib_files( domain )

##### Summary

Read virt lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_read_log( domain )

##### Summary

Allow the specified domain to read virt's log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_read_pid_files( domain )

##### Summary

Read virt PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_search_lib( domain )

##### Summary

Search virt lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

virt_stream_connect( domain )

##### Summary

Connect to virt over an unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return